'
' This module tests the X10 command using a TW-523 or PL-513.
'
'     TW-523  Adapter   Function
'       1     yellow    Z-C collector
'       2     green     Common
'       3      red      Rx Envelope collector (not used)
'       4     black     Tx Envelope Anode
'
'     PL-513  Adapter   Function
'       1     yellow    Z-C collector
'       2     green     Z-C emitter
'       3      red      Tx Envelope cathode
'       4     black     Tx Envelope anode
'
#if Option.TargetDevice = "ZX128e"
Const zcPin as Byte = 35
Const txPin as Byte = 36
Const syncPin as Byte = 18
#elseif Option.TargetDevice = "ZX1281" Or Option.TargetDevice = "ZX1280"
Const zcPin as Byte = B.0
Const txPin as Byte = B.1
Const syncPin as Byte = B.7
#elseif Option.TargetDevice = "ZX128a1"
Const zcPin as Byte = C.2
Const txPin as Byte = C.1
Const syncPin as Byte = C.0
#else
Const zcPin as Byte = 6
Const txPin as Byte = 15
Const syncPin as Byte = 13
#endif

Const House As Byte =  &H6		' house code A
Const Device As Byte =  &H0c	' device code 1
Const On As Byte = &H5			' device on command
Const Off As Byte = &H7			' device off command
Const delayTime as UnsignedInteger = 512

Sub Main()
	Call PutPin(txPin, 0)
#if 0
	Call SendX10(house, device, On)
	Debug.Print "DDRA=0x"; CStrHex(Register.DDRA)
#else
	Call Delay(0.5)
	Do
		Register.RTCStopWatch = 0
		Call SendX10(house, device, On)
		Do
		Loop While (Register.RTCStopWatch < delayTime)
		Register.RTCStopWatch = 0
		Call SendX10(house, device, Off)
		Do
		Loop While (Register.RTCStopWatch < delayTime)
	Loop
#endif
End Sub

Sub SendX10(ByVal hseCode as Byte, ByVal devCode as Byte, ByVal cmdCode as Byte)
	Call X10Cmd(txPin, zcPin, hseCode, devCode, 2)
	Call Delay(0.10)
	Call X10Cmd(txPin, zcPin, hseCode, cmdCode, 2)
End Sub

